From 003b5c8e210039bbdef86dd12d861cb177b73bd2 Mon Sep 17 00:00:00 2001
From: Jim Shimer <jamesshimer@motorola.com>
Date: Mon, 30 Jul 2012 22:11:28 -0400
Subject: [PATCH] Optimize USB load (ext2load) by removing uneeded test unit
 reeady calls

---
 common/usb_storage.c |    4 ++++
 1 file changed, 4 insertions(+)

diff --git a/common/usb_storage.c b/common/usb_storage.c
index bdc306f..b543626 100644
--- a/common/usb_storage.c
+++ b/common/usb_storage.c
@@ -1074,12 +1074,14 @@ unsigned long usb_stor_read(int device, unsigned long blknr,
 	buf_addr = (unsigned long)buffer;
 	start = blknr;
 	blks = blkcnt;
+#if defined(CONFIG_USB_LEGACY_RW)
 	if (usb_test_unit_ready(srb, ss)) {
 		printf("Device NOT ready\n   Request Sense returned %02X %02X"
 		       " %02X\n", srb->sense_buf[2], srb->sense_buf[12],
 		       srb->sense_buf[13]);
 		return 0;
 	}
+#endif
 
 	USB_STOR_PRINTF("\nusb_read: dev %d startblk %lx, blccnt %lx"
 			" buffer %lx\n", device, start, blks, buf_addr);
@@ -1153,12 +1155,14 @@ unsigned long usb_stor_write(int device, unsigned long blknr,
 	buf_addr = (unsigned long)buffer;
 	start = blknr;
 	blks = blkcnt;
+#if defined(CONFIG_USB_LEGACY_RW)
 	if (usb_test_unit_ready(srb, ss)) {
 		printf("Device NOT ready\n   Request Sense returned %02X %02X"
 		       " %02X\n", srb->sense_buf[2], srb->sense_buf[12],
 			srb->sense_buf[13]);
 		return 0;
 	}
+#endif
 
 	USB_STOR_PRINTF("\nusb_write: dev %d startblk %lx, blccnt %lx"
 			" buffer %lx\n", device, start, blks, buf_addr);
-- 
1.7.9.5

